//
//  PQBridgeObject.h
//  PQSpeed
//
//  Created by SanW on 2020/8/20.
//  Copyright © 2020 BytesFlow. All rights reserved.
//

#import <Foundation/Foundation.h>
#include <ifaddrs.h>
#include <arpa/inet.h>
#include <net/if.h>

NS_ASSUME_NONNULL_BEGIN

@interface PQBridgeObject : NSObject
+ (NSString *)getByteRate;
+ (long long) getInterfaceBytes;
+ (NSString *)formatNetWork:(long long int)rate;

// 获取磁盘空间大小 单位为Mb
+ (CGFloat)getPhoneDiskFreeSize;

+ (NSString *)base64Md5ForFilePath:(NSString *)filePath;

// 对文件重命名
+ (nullable NSString *)p_setupFileRename:(NSString *)filePath;


@end

NS_ASSUME_NONNULL_END
