//
//  PQRequestURLUtil.swift
//  PQSpeed
//
//  Created by SanW on 2020/9/21.
//  Copyright © 2020 BytesFlow. All rights reserved.
//

import UIKit

// 票圈视频主域名-线上环境
public let onlineLongvideoapi = "https://speed.piaoquantv.com/longvideoapi/"
// 票圈视频域名(热榜)-线上环境
public let onlineDistributionApi = "https://speed.piaoquantv.com/distribution/"
// 通用域名-eg：数据上报-线上环境
public let onlineCommonapi = "https://common.piaoquantv.com/commonapi/"
// 视频创作相关域名-线上环境
public let onlineClipapiApi = "https://clipapi.piaoquantv.com/longvideoapi/"
// 创作工具搜索素材相关域名-线上环境
public let onlineMaterialSearchApi = "https://search-material.piaoquantv.com/"
// 消息相关域名-线上环境
public let onlineMessageApi = "https://messageapi.piaoquantv.com/"
// 票圈Api-线上环境
public let onlinePQTvApi = "https://api.piaoquantv.com/"

// 票圈视频主域名-预发布环境
public let preLongvideoapi = "https://prespeed.piaoquantv.com/longvideoapi/"
// 票圈视频域名(热榜)-预发布环境
public let preDistributionApi = "https://prespeed.piaoquantv.com/distribution/"
// 通用域名-eg：数据上报-预发布环境
public let preCommonapi = "https://precommon.piaoquantv.com/commonapi/"
// 创作工具搜索素材相关域名-预发布环境
public let preMaterialSearchApi = "https://search-material-pre.piaoquantv.com/"
// 消息相关域名-预发布环境
public let preMessageApi = "https://messageapipre.piaoquantv.com/"
// 票圈Api-预发布环境
public let prePQTvApi = "https://preapi.piaoquantv.com/"

// 票圈视频主域名-测试环境
public let testLongvideoapi = "https://videotest.yishihui.com/longvideoapi/"
// 票圈视频域名(热榜)-测试环境
public let testDistributionApi = "https://videotest.yishihui.com/distribution/"
// 通用域名-eg：数据上报-测试环境
public let testCommonapi = "https://videotest.yishihui.com/commonapi/"
// 创作工具搜索素材相关域名-测试环境
public let testMaterialSearchApi = "https://search-material.yishihui.com/"
// 消息相关域名-测试环境
public let testMessageApi = "https://messageapitest.yishihui.com/"
// 票圈Api-测试环境
public let testPQTvApi = "https://testapi.piaoquantv.com/"

// 票圈视频主域名-北京预发布环境
public let preBJLongvideoapi = "https://videoprebeijing.piaoquantv.com/longvideoapi/"
// 票圈视频域名(热榜)-北京预发布环境
public let preBJDistributionApi = "https://videoprebeijing.piaoquantv.com/distribution/"
// 通用域名-eg：数据上报-北京预发布环境
public let preBJCommonapi = "https://precommon.piaoquantv.com/commonapi/"
public let categroyVideoList = "video/distribute/category/videoList/v2"
public let recommandPageList = "video/recommend/app/recommandPage/list"
/// 热榜列表
public let hotBoardListUrl = "video/list"
/// 白名单展示
public let datashowAllowUrl = "datashow/allow"
// 获取登陆背景图
public let loginBackgroundUrl = "community/login/background"
/// 登录
public let login = "login/app"
/// 新增虚拟账号
public let generateVirtualUserUrl = "user/virtual/app/generateVirtualUser"
/// 手机号注册
public let phoneRegisterUrl = "register/app/check"
/// 手机号登录
public let phoneLoginUrl = "login/app/check"
/// 苹果账号登录
public let appleLoginUrl = "app/iphone/login"
/** 退出登录 */
public let logoutUrl = "logout/app"
/** 注销账号 */
public let cancellationAccUrl = "user/info/addMockData"
/** 更新用户个人信息 */
public let updateUserinfoUrl = "user/info/update"
/** 更新用户个人扩展信息 */
public let updateExtUserinfoUrl = "user/info/saveExtInfo"
/** 查询用户状态 1有效，2 已删除，3 已屏蔽，4 敏感 */
public let userStatusUrl = "user/info/getUserStatus"
/** 更新用户个人信息 */
public let ossTempTokenUrl = "oss/getOssTempToken"
// add by ak 取 STS token uri
public let getStsTokenUrl = "oss/getStsToken"
/** 谁的关注 */
public let idolsUrl = "user/idols"
/** 谁的粉丝 */
public let fansUrl = "user/fans"
/** 我的订阅列表 */
public let mySubscribesUrl = "user/mySubscribes"
/** 订阅我的列表 */
public let otherSubscribesUrl = "user/otherSubscribes"
/** 个人主页头部信息 */
public let homepageHeadUrl = "user/info/homepageHead"
/** 获取用户扩展信息 */
public let userInfoExtUrl = "user/info/getUserInfoExt"
/** 某人的收藏夹集合 */
public let userVideoFavoritesUrl = "videoFavorite/loadUserVideoFavorites"

/** 发送手机验证码 */
public let sendIndetifyCodeUrl = "sendIndetifyCode"
/** 验证手机验证码 */
public let checkIndetifyCodeUrl = "checkIndetifyCode"
/** 修改手机号 */
public let updatePhoneUrl = "savePhone"
/** 最热列表 */
public let hotByCollectionIdUrl = "video/v2/loadHotVideosByCollectionId"
/** 最新列表 */
public let latelyByCollectionIdUrl = "video/v2/loadLatelyVideosByCollectionId"
/** 自己喜欢列表 */
public let favoriteUrl = "video/v2/favorite/list"
/** 视频分享列表 */
public let shareRecordListUrl = "video/shareRecordList"
/** 关注某人 */
public let followUrl = "user/follow"
/** 取消关注某人 */
public let unfollowUrl = "user/unfollow"
/** 订阅某人 */
public let subscribeUrl = "user/subscribe"
/** 取消订阅某人 */
public let unsubscribe = "user/unsubscribe"
/** 收藏视频 */
public let favoriteVideoUrl = "video/favorite"
/** 视频详情 */
public let videoDetailUrl = "video/v2/detail"
/** 批量请求视频详情 */
public let videosDetailUrl = "video/v2/appCache/detail"
/** 发布视频 */
public let videoSendUrl = "video/send"
/** 修改视频 */
public let updateVideoUrl = "video/updateVideo"
/** 删除视频 */
public let deleteVideoUrl = "video/deleteVideo"
/// 获取视频封面
public let vodeoCoverImageUrl = "video/getCoverImagePaths"

/// 关注人列表
public let followedSingleUrl = "user/followed/single"
/// 关注视频列表
public let attendtionUrl = "user/followed/list"
/// 关注视频更新数量（小红点）
public let attendtionInfoUrl = "user/followed/info"
/** 取消收藏视频 */
public let unfavoriteVideoUrl = "video/unfavorite"
/** 关注人头像 */
public let idolsUpdatedUrl = "user/idolsUpdated"
/** 关注人卡片 */
public let recommendUserCardUrl = "user/info/getRecommendUserCard"
/** 关注人卡片不喜欢 */
public let userCardunFollowUrl = "user/info/unFollowUid"
/** 举报视频原因列表 */
public let reportVideoListUrl = "video/report/reason/list"
/** 举报用户原因列表 */
public let reportUserListUrl = "user/info/report/reason/list"
/** 举报某个视频 */
public let reportVideoUrl = "video/report"
/** 举报某个用户 */
public let reportUserUrl = "user/info/report"
/** 拉黑某个用户 */
public let bannedUserUrl = "user/info/black"
/** 取消拉黑某个用户 */
public let unBannedUserUrl = "user/info/unBlack"
/** 某个用户是否被拉黑 */
public let isBannedUserUrl = "user/info/isBlack"
/** 黑明单列表 */
public let bannedUserListUrl = "user/info/blackList"
/** 不感兴趣某个视频 */
public let hateVideoUrl = "videoHated/hate"
/** 获取分享h5页面 */
public let h5ShareLinkUrl = "video/app/share/getVideoH5ShareLink"
/** 获取分享微信好友数据 */
public let wxFriendUrl = "video/app/share/getVideoAppShareWxFriendData"
/** 视频播放上报 */
public let reportPlayUrl = "measure/report/play"
/** 系统设置 */
public let systemConfigUrl = "sys/config"
/** 系统设置(新) */
public let systemAppConfigUrl = "sys/app/config"

/**  取 APP 的常规配置参数 如推荐的10个标题 */
public let getBaseConfigURL = "frontConfig/getBaseConfig"

/** 用户协议-后面缀对应产品type */
public let cUserProtocol = "https://weapppiccdn.yishihui.com/resources/agreements/videoservice.html?type="
/** 隐私政策-后面缀对应产品type */
public let cPrivacy = "https://weapppiccdn.yishihui.com/resources/agreements/videoagreement.html?type="
/** 互联网管理规定 */
public let cNetManagePrivacy = "http://www.cac.gov.cn/2017-08/25/c_1121541842.htm"
// ***************** 埋点上报地址 **********************//
public let downLoadUrl = "https://rescdn.yishihui.com/"
// 记录播放的视频
public let videoPlayReportUrl = "video/played"
// 记录realPlay播放的视频
public let videoRealPlayReportUrl = "video/realPlayed"
// 记录刷过的视频
public let videoViewReportUrl = "video/view"
// 上报视频动作记录
public let videoActionReportUrl = "video/videoActionReport"
// 通用上报
public let staticsFrontendReportUrl = "statistics/uploadLogFromFrontend"
// 通用上报-行为上报
public let staticsloadcLickReportUrl = "statistics/uploadcLickInfo"
// 上传行为上报
public let uploadOperationInfoReportUrl = "statistics/uploadOperationInfo"
// 用户分享的上报
public let userShareReportUrl = "user/share/report"
// 上报分享视频给微信朋友的行为
public let userShareFriendReportUrl = "video/shared/weixin/friend"
// 上报分享视频给朋友圈的行为
public let userShareH5ReportUrl = "video/shared/h5"

// 推送点击上报
public let pushActionReportUrl = "push/action/report"
// 上报DeviceToken
public let pushDeviceTokenReportUrl = "push/device/addOrUpdate"

// ***************** 活动相关地址 **********************//

// 参加活动
public let payActivityMoneyUrl = "order/payActivityMoney"
// 查询状态
public let payOrderStatusUrl = "order/orderStatus"
// 更新客户端状态
public let updatePayStatusUrl = "order/updateClientPayStatus"
// 活动入口&触达
public let activityInfoUrl = "app/activity/getActivityInfo"
// 立即报名
public let joinActivityUrl = "app/activity/joinActivity"
// 手动改变活动状态
public let updateActivityStatusUrl = "app/activity/updateWxAppActivityByStatus"
/// 邀请好友
public let inviteFriendJoinUrl = "app/activity/inviteFriendJoin"

// ***************** 搜索相关地址 **********************//

// 搜索用户跟视频
public let searchUserAndVideoUrl = "search/app/userandvideo/list"
// 搜索用户
public let searchUserUrl = "search/app/user/list"
// 搜索视频
public let searchVideoUrl = "search/app/video/list"
// 热门视频
public let searchHotVideoUrl = "search/app/hot/videos"
// 热门词
public let searchHotWordsUrl = "search/app/hot/words"
// 搜索的上报
public let searchReportUrl = "search/app/report"

// ***************** 视频编辑相关地址 **********************//

// 取发音人
public let listAllVoicesUrl = "producevideo/voice/listAllVoices"


// 收藏发音人
public let favoriteVoiceUrl = "producevideo/voice/favoriteVoice"
// 取消收藏发音人
public let unFavoriteVoiceUrl = "producevideo/voice/unFavoriteVoice"
// 试听文字语音
public let listeningTextSpeechUrl = "producevideo/listeningTextSpeech"
// 文字转语音
public let sectionTextSpeechSynthesizeUrl = "producevideo/sectionTextSpeechSynthesize"
// 取草稿箱列表
public let listUserDraftboxUrl = "producevideo/draftbox/listUserDraftbox"

// 取草稿箱信息
public let draftboxGetSdataUrl = "producevideo/draftbox/getSdata"

// 收藏列表
public let listUserfavoriteVoicesUrl = "producevideo/voice/listUserfavoriteVoices"

// 取nsl token
public let getNlsAccessTokenUrl = "producevideo/voice/getNlsAccessToken"

// 取 NSL 语音转文字的服务器的 token
public let getNlsAccessTokenForJiangjieApp = "producevideo/voice/getNlsAccessTokenForJiangjieApp"

//取发音人分类
public let listAllCateVoicesUrl = "producevideo/voice/listAllCateVoices"

// 取发音人的详细信息
public let getVoiceInfoUrl = "producevideo/voice/getVoiceInfo"

// 获取所有引导视频
public let guideVideosUrl = "producevideo/guide/listAllGuideVideos"
// 获取背景音乐分类
public let bgmCategoryListUrl = "producevideo/bgm/app/getAllBgmCates"
// 获取某个分类下的背景音乐
public let bgmListUrl = "producevideo/bgm/pageCateBgm"
// 收藏背景音乐列表
public let bgmFavoriteListUrl = "producevideo/bgm/listUserFavoriteBgms/v2"
// 收藏某个背景音乐
public let favoriteBGMUrl = "producevideo/bgm/favoriteBgm/v2"
// 取消收藏某个背景音乐
public let unFavoriteBGMUrl = "producevideo/bgm/unFavoriteBgm/v2"
// 获取背景音乐信息
public let getBgmInfoUrl = "producevideo/bgm/v2/getBgmInfo"

/// 搜索素材推荐请求
public let searchRecommendMaterialUrl = "v1/recommend/flow"
/// 搜索素材请求
public let searchMaterialUrl = "v1/search/flow"
/// 搜索背景音乐
public let searchBGMMaterialUrl = "music/search"
// 取视频真地址如抖音
public let getVideoAddressUrl = "v1/search/getVideoAddress"
/// 通过md5查已上传的素材
public let materialByContentMd5Url = "producevideo/material/getMaterialByContentMd5"
/// 获取素材vod上传凭证
public let materialUploadAuthUrl = "producevideo/material/createMaterialUploadAuth"
/// 批量获取素材vod上传凭证
public let batchMaterialUploadAuthUrl = "producevideo/material/batchCreateMaterialUploadAuth"
/// 获取素材oss上传凭证
public let materialUploadStsTokenUrl = "oss/producevideo/getStsToken"
/// 保存素材
public let saveMaterialUrl = "producevideo/material/saveMaterial"
/// 音频素材转换成文字
public let audioMaterialTransferTextUrl = "producevideo/material/audioMaterialTransferText"
/// 素材所有者用户信息
public let getMaterialOwnerUserInfoUrl = "producevideo/material/getMaterialOwnerUserInfo"

/// 保存草稿箱
public let saveDraftboxUrl = "producevideo/draftbox/save/v2"
/// 删除草稿箱
public let deleteDraftboxUrl = "producevideo/draftbox/delete"
/// 批量删除草稿箱
public let deleteMultiDraftboxUrl = "producevideo/draftbox/deleteMulti"
/// 复制草稿箱
public let copyDraftboxUrl = "producevideo/draftbox/copy"
/// 修改草稿箱名称
public let updateDraftboxTitleUrl = "producevideo/draftbox/updateTitle"
/// 草稿箱数量
public let draftboxUserCountUrl = "producevideo/draftbox/countUserDraftbox"
/// 保存合成视频项目数据
public let saveProjectUrl = "producevideo/saveProject"
/// 更新合成视频项目数据
public let updateProjectUrl = "producevideo/updateProject"
/// 发布视频后上报
public let reportSendVideoUrl = "producevideo/reportSendVideo"
// 文本断句 URL  t1 to t2
public let phraseSentenceURL = "producevideo/phraseSentence"
// 再创作-从项目中复制草稿
public let copyFromProjectURL = "producevideo/draftbox/copyFromProject"
// 再创作视频列表
public let listReproduceVideoURL = "producevideo/listReproduceVideo"

// ***************** 站内消息相关地址 **********************//

// 站内消息埋点上报
public let messagePeportUrl = "message/report/station"
// 消息未读数
public let messageUnReadInfoUrl = "message/getUnReadInfo"
// 常规消息列表
public let messageNormalListUrl = "message/normal/list"
// 删除消息
public let messageDeleteUrl = "message/delete"
// 常规消息已读
public let messageNormalReadUrl = "message/normal/read"
// 某种类型常规消息全部已读
public let messageReadAllUrl = "message/normal/readAllByMsgType"
// 分享空间消息列表
public let messageShareSpaceListUrl = "message/sharespace/list"
// 分享空间子类型消息列表
public let messageShareSpaceSubListUrl = "message/sharespace/sub/list"
/// 某条分享动态的子类型消息数量信息
public let messageShareSpaceSubCountInfoUrl = "message/sharespace/getSubCountInfo"

// 分享空间消息全部已读
public let messageShareReadAllUrl = "message/sharespace/readAll"
// 某条分享空间消息已读
public let messageShareReadUrl = "message/sharespace/read"
// 删除分享空间消息
public let messageDeleteShareUrl = "message/sharespace/deleteRecord"
// 分享空间某条动态的子类型消息全部已读
public let messageReadAllBySubMsgTypeUrl = "message/sharespace/readAllBySubMsgType"
// 分享空间某条动态的消息全部已读
public let messageReadAllByShareIdUrl = "message/sharespace/readAllByShareId"

// 某条分享动态的所有未读数 add by ak commentCount enjoinCount shareCount
public let messageShareGetUnReadInfoUrl = "message/sharespace/getUnReadInfo"
// 分享空间行为汇总数 API1
public let messageSharespaceGetCountInfoUrl = "video/sharespace/app/getCountInfo"
// 分享空间-评论列表 API1
public let messagePageCommentRecordUrl = "video/sharespace/app/pageCommentRecord"
// 分享空间-喜欢列表 API1
public let messagePageFavoriteRecordUrl = "video/sharespace/app/pageFavoriteRecord"
// 分享空间-播放列表 API1
public let messagePagePlayRecordUrl = "video/sharespace/app/pagePlayRecord"
// 分享空间-分享列表 API1
public let messagePageShareRecordUrl = "video/sharespace/app/pageShareRecord"

// ***************** 卡点视频相关地址 **********************//
// 卡点音乐分类列表
public let stuckPointMusicCategoryUrl = "producevideo/music/listRhythmMusicTag"
// 卡点音乐某个分类下列表
public let stuckPointMusicPageUrl = "producevideo/music/listRhythmMusic"
// 获取某个音乐的卡点数据
public let stuckPointMusicDetailUrl = "producevideo/music/getRhythmMusicData"
// 获取项目的卡点音乐信息
public let stuckPointProjectMusicInfoUrl = "producevideo/getProjectRhythmMusicInfo"

// ***************** 广告相关地址 **********************//

// 获取广告配置信息
public let adPositionInfoUrl = "ad/position/info"
// 意见反馈地址 https://support.qq.com/product/\(BFConfig.shared.txFeedbackAppId)
public let feedbackUrl = "https://support.qq.com/product/"
// 意见反馈主页 https://support.qq.com/embed/phone/\(BFConfig.shared.txFeedbackAppId)
public let feedbackPageUrl = "https://support.qq.com/embed/phone/"

// ***************** 激励相关地址 **********************//

public let applyCheckUrl = "incentive/creator/applyCheck"
public let applyStatusUrl = "incentive/creator/applyStatus"
// 分享者用户权益中心
public let incentiveUserRCenterUrl = "incentive/userRightCenter"
// 加入分享者激励计划
public let incentiveJoinUrl = "incentive/sharer/join"
// 分享者激励计划邀请检查
public let invitedCheckUrl = "incentive/sharer/invitedCheck"
// 是否已无有效分享
public let invitedShareStatusUrl = "incentive/sharer/shareCheck"

// ***************** 评论相关地址 **********************//

// 评论列表
public let commendListUrl = "comment/app/page"
// 二级评论列表
public let commendSecondListUrl = "comment/second/page"
// 保存一级评论
public let saveTopCommendUrl = "comment/top/save"
// 保存二级评论
public let saveSecondCommendUrl = "comment/second/save"
// 评论点赞或取消点赞
public let commentPraiseUrl = "comment/praise"
// 评论删除
public let commentDeleteUrl = "comment/delete"
// 评论举报
public let commentReportUrl = "comment/report"

// ***************** 话题相关地址 **********************//
public let communityInitUrl = "community/init/feed"
// 首页推荐Feed流
public let communityRecommendUrl = "community/recommend/list"
// 首页关注Feed流
public let communityFollowingListUrl = "community/following/list"
// 视频相关推荐
public let communityRelatedListUrl = "community/recommend/relatedList"
// 话题详情
public let topicDetailUrl = "community/topic/detail"
// 话题详情最热Feed流
public let topicDeailHotlistUrl = "community/topic/content/hotlist"
// 话题详情最新Feed流
public let topicDeailNewlistUrl = "community/topic/content/newlist"
// 用户创建话题
public let topicCreateUrl = "community/topic/create"
// 热门话题
public let topicHotlistUrl = "community/topic/hotlist"
// 我加入的话题 视频列表
public let topicMySubListUrl = "community/topic/mySubscribedList"
// 话题推荐(新用户弹窗)
public let topicRecommendUrl = "community/topic/recommend"
// 话题推荐（发布页）
public let topicRecoPublishUrl = "community/topic/recommendForPublish"
// 搜索话题
public let topicSearchUrl = "community/topic/search"
// 加入话题（订阅话题）
public let topicSubscribeUrl = "community/topic/subscribe"
// 退出话题（取消订阅话题）
public let topicUnSubscribeUrl = "community/topic/unsubscribe"
// 信息收集
public let personalizedUrl = "community/user/personalized/saveUserPersonalizedInfo"
// 关注/我加入话题更新数
public let updateNumberUrl = "community/tips/updateNumber"
